nvme_flush(2)

NAME
nvme_flush - Send an nvme flush command

SYNOPSIS
int nvme_flush (int fd , __u32 nsid );

ARGUMENTS

fd  File descriptor of nvme device

nsid
    Namespace identifier

DESCRIPTION
The Flush command requests that the contents of volatile write cache be made non-volatile.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.